---
apiVersion: coordination.k8s.io/v1
kind: Lease
metadata:
  creationTimestamp: "2025-10-27T11:32:06Z"
  managedFields:
  - apiVersion: coordination.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:acquireTime: {}
        f:holderIdentity: {}
        f:leaseDurationSeconds: {}
        f:leaseTransitions: {}
        f:renewTime: {}
    manager: machineset-controller
    operation: Update
    time: "2025-10-29T13:14:19Z"
  name: cluster-api-provider-machineset-leader
  namespace: openshift-machine-api
  resourceVersion: "2219149"
  uid: 5cd06317-f00f-461a-97f9-b0f0e7a6d1dd
spec:
  acquireTime: "2025-10-27T12:30:03.945189Z"
  holderIdentity: machine-api-controllers-856cb9f9c8-lld8k_99cca58a-d987-425b-9e4a-59b0264c12f4
  leaseDurationSeconds: 120
  leaseTransitions: 2
  renewTime: "2025-10-29T13:14:19.871934Z"
